Project

General

Profile

Bug #16812

Replace controller extensions with apipie extensions

Added by Justin Sherrill almost 3 years ago. Updated about 1 year ago.

Status:
Assigned
Priority:
Normal
Assignee:
-
Category:
Hosts
Target version:
Difficulty:
trivial
Triaged:
Yes
Bugzilla link:
Pull request:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

When http://projects.theforeman.org/issues/16630 is resolved, katello needs to stop override the following controllers in the Api::V2 namespace:

SmartProxiesController
HostgroupsController
Organizations


Related issues

Related to Foreman - Feature #3763: Ability for engine/plugin to extend RABL responsesClosed2013-11-26
Blocked by Foreman - Feature #16630: Need a way to extend existing apipie specificationClosed2016-09-21

History

#1 Updated by Justin Sherrill almost 3 years ago

  • Description updated (diff)

#2 Updated by Justin Sherrill almost 3 years ago

  • Related to Feature #16630: Need a way to extend existing apipie specification added

#3 Updated by Justin Sherrill almost 3 years ago

  • Related to deleted (Feature #16630: Need a way to extend existing apipie specification)

#4 Updated by Justin Sherrill almost 3 years ago

  • Blocked by Feature #16630: Need a way to extend existing apipie specification added

#5 Updated by Justin Sherrill almost 3 years ago

  • Status changed from New to Assigned
  • Legacy Backlogs Release (now unused) set to 114

#6 Updated by Justin Sherrill over 2 years ago

  • Assignee deleted (Justin Sherrill)

#7 Updated by Marek Hulán over 2 years ago

  • Related to Feature #3763: Ability for engine/plugin to extend RABL responses added

Also available in: Atom PDF